import {
  __objRest,
  __spreadValues
} from "./chunk-NZ7OHGNU.mjs";

// src/Button/Button.tsx
import classNames from "classnames";
import { jsx, jsxs } from "react/jsx-runtime";
var ButtonIcon = (props) => {
  var _a;
  return /* @__PURE__ */ jsx("span", { className: "rce-button-icon--container", children: /* @__PURE__ */ jsx(
    "span",
    {
      style: {
        float: (_a = props.float) != null ? _a : "inherit",
        fontSize: props.size || 12
      },
      className: "rce-button-icon",
      children: props.component
    }
  ) });
};
var Button = (_a) => {
  var _b = _a, {
    disabled = false,
    backgroundColor = "var(--rce-color-secondary)",
    color = "var(--rce-color-white)",
    style = {}
  } = _b, props = __objRest(_b, [
    "disabled",
    "backgroundColor",
    "color",
    "style"
  ]);
  var _a2, _b2;
  return /* @__PURE__ */ jsxs(
    "button",
    {
      type: (_a2 = props == null ? void 0 : props.type) != null ? _a2 : "button",
      ref: props.buttonRef,
      title: props.title,
      className: classNames(
        "rce-button",
        props.type,
        props.className,
        props.outlined && "outlined",
        props.circle && "circle"
      ),
      style: __spreadValues({
        backgroundColor: props.outlined ? color : backgroundColor,
        color: props.outlined ? backgroundColor : color,
        borderColor: backgroundColor,
        borderStyle: "solid",
        cursor: disabled ? "default" : "pointer",
        filter: disabled ? "grayscale(1)" : "none",
        flexDirection: ((_b2 = props.icon) == null ? void 0 : _b2.float) === "left" ? "row-reverse" : "row"
      }, style),
      disabled,
      onClick: props.onClick,
      children: [
        props.text ? /* @__PURE__ */ jsx("span", { children: props.text }) : null,
        props.icon ? /* @__PURE__ */ jsx(ButtonIcon, __spreadValues({}, props.icon)) : null
      ]
    }
  );
};
var Button_default = Button;

export {
  Button_default
};
