import {
  getAvatar,
  require_dist,
  token
} from "./chunk-RMTMFRKX.mjs";
import {
  SideBar_default
} from "./chunk-XNTBI5I6.mjs";
import {
  ChatList_default
} from "./chunk-FVYWOTP4.mjs";
import {
  __objRest,
  __toESM
} from "./chunk-NZ7OHGNU.mjs";

// src/stories/example/components/ChatListExample.tsx
var import_lorem_ipsum = __toESM(require_dist());
import { useCallback, useEffect, useState } from "react";
import { BsListTask } from "react-icons/bs";
import { jsx, jsxs } from "react/jsx-runtime";
var Test = /* @__PURE__ */ jsxs(
  "div",
  {
    className: "rce-citem-body--bottom-status-icon",
    onClick: (e) => console.log(e, "clicked"),
    onKeyDown: console.log,
    children: [
      /* @__PURE__ */ jsx(
        "span",
        {
          style: {
            fontSize: "10px",
            position: "absolute",
            padding: "2px",
            right: "-12px",
            top: "-6px",
            color: "white",
            borderRadius: "100%",
            width: "12px",
            height: "12px",
            textAlign: "center"
          },
          children: Math.ceil(Math.random() * 9) + 1
        }
      ),
      /* @__PURE__ */ jsx(BsListTask, {})
    ]
  }
);
function ChatListExample() {
  const photo = useCallback((size) => {
    return getAvatar((0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "words" }));
  }, []);
  const [chatListArray, setChatListArray] = useState([
    {
      id: String(Math.random()),
      avatar: getAvatar(`avatar${Math.random().toString()}`),
      avatarFlexible: true,
      statusColor: "lightgreen",
      statusColorType: Math.floor(Math.random() * 100 % 2) === 1 ? "encircle" : void 0,
      alt: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
      title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
      date: /* @__PURE__ */ new Date(),
      subtitle: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
      unread: token(10),
      muted: token(2) > 1,
      showMute: token(2) > 1,
      showVideoCall: token(2) > 1,
      customStatusComponents: [Test]
    }
  ]);
  useEffect(() => {
    if (chatListArray.length === 5) return;
    const getRandomLiteChat = () => {
      return {
        id: String(Math.random()),
        avatar: getAvatar(`avatar${Math.random().toString()}`),
        avatarFlexible: true,
        title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
        subtitle: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
        date: /* @__PURE__ */ new Date(),
        unread: Math.floor(Math.random() * 10 % 3)
      };
    };
    const getRandomChat = (nested = true) => {
      return {
        id: String(Math.random()),
        avatar: getAvatar(`avatar${Math.random().toString()}`),
        avatarFlexible: true,
        statusColor: "lightgreen",
        statusColorType: Math.floor(Math.random() * 100 % 2) === 1 ? "encircle" : void 0,
        alt: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
        title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
        subtitle: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
        date: /* @__PURE__ */ new Date(),
        unread: Math.floor(Math.random() * 10 % 3),
        muted: Math.floor(Math.random() * 10 % 2) === 1,
        showMute: Math.floor(Math.random() * 10 % 2) === 1,
        showVideoCall: Math.floor(Math.random() * 10 % 2) === 1,
        customStatusComponents: [Test]
      };
    };
    const randomChat = getRandomChat();
    setChatListArray([...chatListArray, randomChat]);
  }, [chatListArray]);
  return /* @__PURE__ */ jsx(
    SideBar_default,
    {
      type: "default",
      style: {
        width: "300px",
        height: "100vh",
        padding: "0px"
      },
      data: {
        top: /* @__PURE__ */ jsx(
          ChatList_default,
          {
            id: "chatlist",
            dataSource: chatListArray,
            onClickMute: (_a) => {
              var props = __objRest(_a, []);
              return console.log(props);
            },
            onClickVideoCall: (_b) => {
              var props = __objRest(_b, []);
              return console.log(props);
            },
            onDragEnter: (e, id) => console.log(e, id, "onDragEnter"),
            onDragLeave: (e, id) => console.log(e, id, "onDragLeave"),
            onDrop: (e, id) => console.log(e, id, "onDrop"),
            onDragComponent: /* @__PURE__ */ jsx("div", { className: "on-drag-mlist", children: (0, import_lorem_ipsum.loremIpsum)({ count: 4, units: "words" }) })
          }
        )
      }
    }
  );
}
var ChatListExample_default = ChatListExample;

export {
  ChatListExample_default
};
